// zdrojov soubor funkc vztaench k 'Student_info'
#include "Student_info.h"

using std::istream;

bool porovnani(const Student_info& x, const Student_info& y)
{
	return x.jmeno < y.jmeno;
}

istream& cteni(istream& vstup, Student_info& s)
{
	// nate a ulo studentovo jmno a znmky v polovin a na zvr kurzu
	vstup >> s.jmeno >> s.polovina >> s.zaver;

	cteni_du(vstup, s.domaciukol);  // nate a ulo vechny znmky z domcch kol
	return vstup;
}

// nate znmky z domcch kol ze vstupnho proudu do 'Vec<double>'
istream& cteni_du(istream& vstup, Vec<double>& du)
{
	if (vstup) {
		// vymae pedchoz obsah
		du.clear();

		// nate znmky z domcch kol
		double x;
		while (vstup >> x)
			du.push_back(x);

		// vyist proud, aby vstup fungoval sprvn i pro dalho studenta
		vstup.clear();
	}
	return vstup;
}