#include "Vec.h"
#include <iostream>

#include "analyza.h"
#include "Student_info.h"

using std::cin;
using std::cout;
using std::endl;

int main()
{
	// studenti, kte udlali a neudlali vechny domc koly
	Vec<Student_info> udelali, neudelali;

	// nate zznamy student a rozdl je
	Student_info student;
	while (cteni(cin, student)) {
		if (udelany_vsechny_du(student))
			udelali.push_back(student);
		else
			neudelali.push_back(student);
	}

	// ov, zda nm analzy nco odhal
	if (udelali.empty()) {
		cout << "Zadny student neudelal vsechny domaci ukoly!" << endl;
		return 1;
	}
	if (neudelali.empty()) {
		cout << "Kazdy student udelal vsechny domaci ukoly!" << endl;
		return 1;
	}

	//provede analzy
	vypis_analyza(cout, "stred", stred_analyza, udelali, neudelali);
	vypis_analyza(cout, "prumer", prumer_analyza, udelali, neudelali);
	vypis_analyza(cout, "stred odevzdanych domacich ukolu",
	              optimisticky_stred_analyza, udelali, neudelali);

	return 0;
}

